//script for slayer-little girl cult

void main( void )
{

if (&s2-nad != 2)
{

wait(1000);

if (&s2-nad < 3)
 say("好漂亮的后院。", 1);

if (&s2-nad > 2)
 say("啊，美好的回忆。", 1);

 return;
}
preload_seq(531);
preload_seq(533);
preload_seq(537);
preload_seq(539);
preload_seq(551);
preload_seq(553);
preload_seq(557);
preload_seq(559);
preload_seq(542);
preload_seq(544);
preload_seq(546);
preload_seq(548);

 //build little girls
 int &crap = create_sprite(265,176, 0, 0, 0);
 &temphold = &crap;
 sp_script(&crap, "s2-cg1");

 //build little girls
 &crap = create_sprite(383,179, 0, 0, 0);
 &temp2hold = &crap;
 sp_script(&crap, "s2-cg2");

 &crap = create_sprite(229,278, 0, 0, 0);
 &temp3hold = &crap;
 sp_script(&crap, "s2-cg3");

 &crap = create_sprite(393,278, 0, 0, 0);
 &temp4hold = &crap;
 sp_script(&crap, "s2-cg4");
 freeze(1);


move(1, 4, 583, 1);


  wait(500);


  say_stop("`#我爱你，神龙Carcass。", &temphold);
  wait(500);
  say_stop("`#我敬拜你，死去的神龙Carcass。", &temp2hold);
   wait(500);
  say_stop("`#我会为你而亡，神龙Carcass。", &temp3hold);
   wait(500);
  say_stop("`#小龙龙我会为你作任何事。", &temp4hold);
   wait(500);
  say_stop("`#注意了 Cindy，每次都要说全名。", &temphold);
   wait(500);
  say_stop("`#哦。", &temp4hold);
   wait(500);
  say_stop("`#我会为你作任何事，死去的神龙 CARCASS。", &temp4hold);

   wait(500);
  say_stop("有趣的局面...", 1);

start4:

 &crap = create_sprite(329,450, 0, 0, 0);
 &temp5hold = &crap;
preload_seq(341);
preload_seq(343);
preload_seq(347);
preload_seq(349);
sp_base_walk(&temp5hold, 340);
sp_speed(&temp5hold, 1);
//sp_timing(&current_sprite, 66);
sp_pseq(&temp5hold, 349);
sp_pframe(&temp5hold, 1);

move_stop(&temp5hold, 8, 320, 1);
wait(500);
say_stop("`4孩子们，神龙的ji(s2-cult.c)拜进行得如何？", &temp5hold);
wait(500);
say_stop("`#太棒了 - 谢谢 Nelson 主教让我们看到了曙光！", &temphold);
wait(500);
say_stop("`4猜猜有什么好事，我给你们带来了个惊喜。", &temp5hold);
wait(500);
   wait(500);
  say_stop("`#更多的羊血吗？", &temp4hold);
wait(500);
say_stop("`4不， Cindy.", &temp5hold);
wait(500);
say_stop("`4我给你们带来了个新成员。出来吧，Mary！", &temp5hold);

 &crap = create_sprite(300,450, 0, 0, 0);
 &temp6hold = &crap;
 sp_script(&crap, "s2-cg5");
move_stop(&temp6hold, 8, 360, 1);
wait(500);
say_stop("`#请放过我吧，我不想加入你们这个教！", &temp6hold);
wait(500);
say_stop("`4你将会爱上死去的神龙 Carcass的， Mary.", &temp5hold);
wait(500);
say_stop("`#你们怎么可以敬拜一个在发烂的尸体呢？！", &temp6hold);
wait(500);
  say_stop("`#Nelson主教，我想神龙 Carcass 会想再要一个供品。", &temphold);
  wait(500);
say_stop("`4想法不错嘛， Jennifer.", &temp5hold);
wait(500);

start:

choice_start();
        set_y 240
        set_title_color 10
        title_start();
一个女孩子将要被邪教杀害了。你怎么办？
        title_end();
"说些要去救她的话"
"同意 Mary 应该被供掉"
"用脑子想想还是继续藏着比较好"
choice_end()
wait(500);
if (&result == 3)
   {
     wait(200);
   sp_dir(1, 2);
     wait(200);
    say_stop("我想我还是该说些什么好。", 1);
     wait(300);
   sp_dir(1, 4);
  wait(200);
   goto start;
   }

if (&result == 1)
  {
    Say_stop("不好意思，啊哼。", 1);
    wait(500);
          say_stop("`#居然有人躲在那里！", &temphold);
          wait(500);
    Say_stop("快把你的脏手从小MM身上拿下， Nelson！她要和我回家！", 1);
    wait(500);
    say_stop("`4我可不这么认为，小森林。", &temp5hold);
wait(500);
move_stop(1, 4, 470, 1);
    wait(500);
    Say_stop("孩子们！这个人是个疯子 - 变身干掉他！", 1);

  }


if (&result == 2)
  {
    Say_stop("我也同意，把她贡献给神龙吧！", 1);
    wait(500);
          say_stop("`#那里居然藏了个人！", &temphold);
          wait(500);
    Say_stop("我只是非常欣赏你们的仪式。让我继续观看吧？", 1);
    wait(500);
    say_stop("`4孩子，到这里来。", &temp5hold);
wait(500);
move_stop(1, 4, 470, 1);
    wait(500);
    Say_stop("这里看起来果然更好。", 1);

  }


    wait(500);
    say_stop("`4死去的神龙 Carcass 正在召唤下一个供品...", &temp5hold);
    wait(500);
    say_stop("`4这男的！", &temp5hold);
preload_seq(167);

  say_stop("`#孩子们！变身吧！", &temphold);
  wait(500);
screenlock(1);
unfreeze(1);

sp_brain(&temp5hold, 16);
sp_script(&temp5hold, "s2-cman");

sp_brain(&temp6hold, 16);
sp_script(&temp6hold, "s2-culg");


playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(265, 176, 7, 167, 1);
sp_seq(&mcrap, 167);
sp_script(&temphold, "s2-cbon");
wait(800);



playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(383, 179, 7, 167, 1);
sp_seq(&mcrap, 167);
sp_script(&temp2hold, "s2-cbon");
wait(800);

playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(229, 278, 7, 167, 1);
sp_seq(&mcrap, 167);
sp_script(&temp3hold, "s2-cbon");
wait(800);

playsound(24, 22052, 0, 0, 0);
int &mcrap = create_sprite(393, 278, 7, 167, 1);
sp_seq(&mcrap, 167);
sp_script(&temp4hold, "s2-cbon");
wait(800);

say_stop("`4你看，我的孩子们像变型金刚一样， more than meets the eye.", &temp5hold);
//haha, transformers reference

playmidi("denube.mid");
}


